org.eclipse.lyo.client.oslc.resources

## Class OslcQuery

- java.lang.Object
- - org.eclipse.lyo.client.oslc.resources.OslcQuery

-     public class OslcQuery
      extends Object

  Represents an OSLC query (HTTP GET) request to be made of a remote system. Immutable.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OslcQuery(OslcClient oslcClient, String capabilityUrl)` Create an OSLC query that uses the remote system's default page size.
    `OslcQuery(OslcClient oslcClient, String capabilityUrl, int pageSize)` Create an OSLC query that uses the given page size
    `OslcQuery(OslcClient oslcClient, String capabilityUrl, int pageSize, OslcQueryParameters oslcQueryParams)` Create an OSLC query that uses OSLC query parameters and the given page size
    `OslcQuery(OslcClient oslcClient, String capabilityUrl, OslcQueryParameters oslcQueryParams)` Create an OSLC query with query parameters that uses the default page size

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCapabilityUrl()`
    `int` | `getPageSize()`
    `String` | `getQueryUrl()`
    `OslcQueryResult` | `submit()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OslcQuery

          public OslcQuery(OslcClient oslcClient,
                   String capabilityUrl)

      Create an OSLC query that uses the remote system's default page size.
      Parameters:
        `oslcClient` - the authenticated OSLC client
        `capabilityUrl` - the URL that is the base

    - #### OslcQuery

          public OslcQuery(OslcClient oslcClient,
                   String capabilityUrl,
                   OslcQueryParameters oslcQueryParams)

      Create an OSLC query with query parameters that uses the default page size
      Parameters:
        `oslcClient` - the authenticated OSLC client
        `capabilityUrl` - capabilityUrl the URL that is the base
        `oslcQueryParams` - an OslcQueryParameters object
      See Also:
        `OslcQueryParameters`

    - #### OslcQuery

          public OslcQuery(OslcClient oslcClient,
                   String capabilityUrl,
                   int pageSize)

      Create an OSLC query that uses the given page size
      Parameters:
        `oslcClient` - the authenticated OSLC client
        `capabilityUrl` - the URL that is the base
        `pageSize` - the number of results to include on each page (OslcQueryResult)

    - #### OslcQuery

          public OslcQuery(OslcClient oslcClient,
                   String capabilityUrl,
                   int pageSize,
                   OslcQueryParameters oslcQueryParams)

      Create an OSLC query that uses OSLC query parameters and the given page size
      Parameters:
        `oslcClient` - the authenticated OSLC client
        `capabilityUrl` - the URL that is the base
        `pageSize` - the number of results to include on each page (OslcQueryResult)
        `oslcQueryParams` - an OslcQueryParameters object
      See Also:
        `OslcQueryParameters`

  - ### Method Detail

    - #### getPageSize

          public int getPageSize()

      Returns:
        the number of entries to return for each page, if zero, the remote system's (or full query's) default is used

    - #### getCapabilityUrl

          public String getCapabilityUrl()

      Returns:
        the base query capability URL

    - #### getQueryUrl

          public String getQueryUrl()

      Returns:
        the complete query URL

    - #### submit

          public OslcQueryResult submit()

Copyright © 2016. All Rights Reserved.